unit f_chrmap;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls, atCharMap;

type
  TfmAtCharMap = class(TForm)
    atCharMap1: TatCharMap;
    Panel1: TPanel;
    Panel2: TPanel;
    Memo1: TMemo;
    GroupBox1: TGroupBox;
    Button1: TButton;
    Button2: TButton;
    Label1: TLabel;
    lbChar: TLabel;
    FontDialog1: TFontDialog;
    ColorDialog1: TColorDialog;
    procedure atCharMap1CharChange(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  fmAtCharMap: TfmAtCharMap;

implementation

{$R *.DFM}

procedure TfmAtCharMap.atCharMap1CharChange(Sender: TObject);
begin
   lbChar.Caption:=Chr(atCharMap1.SelectedChar);
end;

procedure TfmAtCharMap.FormShow(Sender: TObject);
begin
   atCharMap1CharChange(atCharMap1);
end;

procedure TfmAtCharMap.Button1Click(Sender: TObject);
begin
   if FontDialog1.Execute then
   begin
      atCharMap1.Font:=FontDialog1.Font;
      lbChar.Font:=FontDialog1.Font;
      lbChar.Font.Size:=12;
   end;
end;

procedure TfmAtCharMap.Button2Click(Sender: TObject);
begin
   if ColorDialog1.Execute then
      atCharMap1.Color:=ColorDialog1.Color;
end;

end.
