unit f_preced;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Mask, atPrecisionEdit, StdCtrls, ExtCtrls, Buttons;

type
  TfmatPrecisionEdit = class(TForm)
    Panel1: TPanel;
    Panel2: TPanel;
    Memo1: TMemo;
    PrecEdit: TatPrecisionEdit;
    GroupBox1: TGroupBox;
    SpeedButton1: TSpeedButton;
    SpeedButton2: TSpeedButton;
    Label1: TLabel;
    Edit1: TEdit;
    Button1: TButton;
    Button2: TButton;
    GroupBox2: TGroupBox;
    Button3: TButton;
    Button4: TButton;
    cbKeep: TCheckBox;
    edNumDigits: TEdit;
    Label2: TLabel;
    Label3: TLabel;
    edNumDecimals: TEdit;
    Button5: TButton;
    Label4: TLabel;
    procedure SpeedButton1Click(Sender: TObject);
    procedure SpeedButton2Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure cbKeepClick(Sender: TObject);
    procedure Button5Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  fmatPrecisionEdit: TfmatPrecisionEdit;

implementation

{$R *.DFM}

procedure TfmatPrecisionEdit.SpeedButton1Click(Sender: TObject);
begin
   PrecEdit.IncrementPosition;
end;

procedure TfmatPrecisionEdit.SpeedButton2Click(Sender: TObject);
begin
   PrecEdit.DecrementPosition;
end;

procedure TfmatPrecisionEdit.Button1Click(Sender: TObject);
begin
   Edit1.Text:=FloatToStr(PrecEdit.Value);
end;

procedure TfmatPrecisionEdit.Button2Click(Sender: TObject);
begin
   PrecEdit.Value:=StrToFloat(Edit1.Text);
end;

procedure TfmatPrecisionEdit.Button3Click(Sender: TObject);
begin
   PrecEdit.ShiftPoint(1);
end;

procedure TfmatPrecisionEdit.Button4Click(Sender: TObject);
begin
   PrecEdit.ShiftPoint(-1);
end;

procedure TfmatPrecisionEdit.cbKeepClick(Sender: TObject);
begin
   if cbKeep.checked then
      PrecEdit.ChangeMode:=cmKeepValue
   else
      PrecEdit.ChangeMode:=cmMovePoint;
end;

procedure TfmatPrecisionEdit.Button5Click(Sender: TObject);
begin
   With PrecEdit do
   begin
      NumDecimals:=StrToInt(edNumDecimals.Text);
      NumDigits:=StrToInt(edNumDigits.Text);
   end;
end;

end.
